import os

import testinfra.utils.ansible_runner

import warnings
warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_motd_files(host):
    org_name = "Exaple Inc."

    motd = host.file("/etc/motd")
    issue = host.file("/etc/issue")
    issue_net = host.file("/etc/issue.net")

    assert motd.exists
    assert motd.contains(org_name)

    assert issue.exists
    assert issue.contains(org_name)

    assert issue_net.exists
    assert issue_net.contains(org_name)
